% Might not be the best way to code this
% Here I'm mainly using chained, linked or nested variables (synonymous terms),
% where the order of the variables matter.

\version "2.20.0"
\language "english"

\header {
   title = \markup {  \override #'(font-name . "AppleMyungjo") \fontsize #5 "Bright Eyes" } 
  
  composer = \markup {
    \column {
              \override #'(word-space . 1.4)
              \override #'(font-name . "Baskerville")
              \justify  \smallCaps { Florence B. Price }
    }
  }

  arranger = \markup { \override #'(font-name . "Baskerville") "Typeset: Owain Evans" }
  copyright = \markup { \override #'(font-name . "Baskerville")
    \with-url #"https://creativecommons.org/licenses/by-sa/4.0/" {
      \lower #0 \pad-markup #1
      "©2020  Creative Commons Attribution-ShareAlike 4.0 International Public License."
    }
  }
  tagline = \markup { \override #'(font-name . "Baskerville")
    \with-url #"https://lilypond.org/" {
      \rounded-box \pad-to-box #'(0 . 0) #'(0 . 2)
      "Music engraving by LilyPond 2.20.0—www.lilypond.org"
    }
  }
}
\paper {
  page-count = 1
  ragged-bottom = ##f
  ragged-last-bottom = ##f 
}

beamPos =
#(define-music-function
     (parser location beg-end)
     (pair?)
   #{
     \once \override Beam.positions = #beg-end
   #})

fingOff = \override Score.Fingering.stencil = #'()
fingOn = \revert Score.Fingering.stencil

bSectSlur = \shape #'((0 . 0) (0 . 0) (0 . 0.3) (0 . 0)) Slur

barRest = R1 * 6/8 
twoBarsRest = \repeat unfold 2 { R1 * 6/8 }

rhBi_ii = { 
  g8^.^5 r r c,^.^1 r r |
  \barRest |
}

rhBi_viii = \relative c''' {
    \rhBi_ii |
    \shape #'((0 . 0) (0 . 1) (0 . 0.4) (0 . 0)) Slur
    \beamPos #'(-2 . -1.7) c8^1( d e f g f |
    \beamPos #'(-2 . -2.3) e d c d4.) |
    \rhBi_ii |
    \beamPos #'(-2.3 . -2) 
    \shape #'((0 . 0) (0 . 1) (0 . 1) (0 . 0)) Slur
    c8^1( d e\beamPos #'(-1.7 . -2) f e d |
    c2.) |
}

lhBi_iv = \relative c'' {
  \barRest |
  \clef treble d8^._1 r r g,_._5 r r |
  \twoBarsRest |
}

global = {
  \key c \major
  \numericTimeSignature
  \time 6/8
  \tempo "Allegretto" 4.=92
}

right =  {
  \global
             
  \repeat unfold 2 { \rhBi_viii \break \fingOff }
  
  \bar "||"
  
  \fingOn
  \repeat unfold 2 \relative c'' {
    \beamPos #'(-2 . -2.3) e8^5[ r 
    \bSectSlur
    c^3]( a^1) r r |
    \beamPos #'(-3 . -2.7) b^2[ r \bSectSlur c^3]( a^1) r r |
    \twoBarsRest |
  }
  
  \bar "||" \break
  
  \rhBi_viii |
  \barRest |
  \once \override score.MultiMeasureRest.X-offset = 1.5
  \barRest |
  
  \change Staff = "left" \stemUp
  \once \override Fingering.extra-offset = #'(-0.3 . 0)
  g8_.^3^\markup { \hspace #2 \italic r.h. } s s s s s |
  g,_._3^\markup { \italic r.h. } s s s s s |
  
  \bar "|."
}

left = \relative c'' {
  \global
  \repeat unfold 4 { \lhBi_iv }
  
  \twoBarsRest |
  e,4._3( \beamPos #'(2 . 2) f8 g f |
  e2.) |
  \twoBarsRest |
  e4._1( \beamPos #'(0.3 . 0) d8 c b |
  a2.) |
  \repeat unfold 2 { \lhBi_iv }
  
  \beamPos #'(0.7 . 1) c8_4( d e \beamPos #'(1.3 . 1) f e d |
  c2.) |
  \clef bass \stemDown
  s8 r r c,^._3
  ^\markup { \hspace #-1 \italic rall. }
  -\markup { \italic l.h. } r r |
  
  \set fingeringOrientations = #'(left)
  s8 r r <c,-3>_.-\markup { \hspace #-4 \lower #4.5 \italic l.h. } r r |
}

dynamics = { 
  \repeat unfold 2 { s1 * 6/8 * 8\mf } |
  \repeat unfold 2 {
    \once \override DynamicText.Y-offset = 1
    s1 * 6/8 * 2\f |
    \once \override DynamicText.X-offset = 0.5
    \once \override DynamicText.Y-offset = -4
    s1 * 6/8 * 2\p |
  }
  s4.\mf \fingOff s |
  \fingOn s1 * 6/8 * 2 |
  \fingOff s1 * 6/8 * 4 |
  \fingOn s1 * 6/8 * 1 |
  \once \override DynamicText.X-offset = 0
  \once \override DynamicText.Y-offset = -4
  s1 * 6/8 * 2\mp |
  \once \override Hairpin.whiteout = ##t
  s8\pp\> s s s s s |
  s s s s\! s s |
}

\score {
  \new PianoStaff \with {
    instrumentName = ""
  } <<
    \new Staff = "right" \with {
      midiInstrument = "acoustic grand"
    } \right
    \new Dynamics = "dynamics" {\dynamics}
    \new Staff = "left" \with {
      midiInstrument = "acoustic grand"
    } { \clef bass \left }
  >>
  \layout { 
    \context {
      \Score
      \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 3/8)
      \override VerticalAxisGroup.staff-staff-spacing = #'((basic-distance . 12))
    }
  }
}
